Oracle Linux 6203 Published by

The following updates are available for Oracle Linux:

ELSA-2024-0152 Important: Oracle Linux 9 .NET 8.0 security update
ELSA-2024-0151 Important: Oracle Linux 9 .NET 7.0 security update
ELSA-2024-0157 Important: Oracle Linux 8 .NET 7.0 security update
ELSA-2024-0223 Important: Oracle Linux 7 java-1.8.0-openjdk security and bug fix update
ELBA-2024-12077 Oracle Linux 8 frr bug fix update
ELSA-2024-0232 Important: Oracle Linux 7 java-11-openjdk security update



ELSA-2024-0152 Important: Oracle Linux 9 .NET 8.0 security update


Oracle Linux Security Advisory ELSA-2024-0152

http://linux.oracle.com/errata/ELSA-2024-0152.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
aspnetcore-runtime-8.0-8.0.1-1.0.1.el9_3.x86_64.rpm
aspnetcore-targeting-pack-8.0-8.0.1-1.0.1.el9_3.x86_64.rpm
dotnet-apphost-pack-8.0-8.0.1-1.0.1.el9_3.x86_64.rpm
dotnet-host-8.0.1-1.0.1.el9_3.x86_64.rpm
dotnet-hostfxr-8.0-8.0.1-1.0.1.el9_3.x86_64.rpm
dotnet-runtime-8.0-8.0.1-1.0.1.el9_3.x86_64.rpm
dotnet-sdk-8.0-8.0.101-1.0.1.el9_3.x86_64.rpm
dotnet-targeting-pack-8.0-8.0.1-1.0.1.el9_3.x86_64.rpm
dotnet-templates-8.0-8.0.101-1.0.1.el9_3.x86_64.rpm
netstandard-targeting-pack-2.1-8.0.101-1.0.1.el9_3.x86_64.rpm
dotnet-sdk-8.0-source-built-artifacts-8.0.101-1.0.1.el9_3.x86_64.rpm

aarch64:
aspnetcore-runtime-8.0-8.0.1-1.0.1.el9_3.aarch64.rpm
aspnetcore-targeting-pack-8.0-8.0.1-1.0.1.el9_3.aarch64.rpm
dotnet-apphost-pack-8.0-8.0.1-1.0.1.el9_3.aarch64.rpm
dotnet-host-8.0.1-1.0.1.el9_3.aarch64.rpm
dotnet-hostfxr-8.0-8.0.1-1.0.1.el9_3.aarch64.rpm
dotnet-runtime-8.0-8.0.1-1.0.1.el9_3.aarch64.rpm
dotnet-sdk-8.0-8.0.101-1.0.1.el9_3.aarch64.rpm
dotnet-targeting-pack-8.0-8.0.1-1.0.1.el9_3.aarch64.rpm
dotnet-templates-8.0-8.0.101-1.0.1.el9_3.aarch64.rpm
netstandard-targeting-pack-2.1-8.0.101-1.0.1.el9_3.aarch64.rpm
dotnet-sdk-8.0-source-built-artifacts-8.0.101-1.0.1.el9_3.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//dotnet8.0-8.0.101-1.0.1.el9_3.src.rpm

Related CVEs:

CVE-2024-0056
CVE-2024-0057
CVE-2024-21319

Description of changes:

[8.0.101-1.0.1]
- Update to .NET SDK 8.0.101 and Runtime 8.0.1



ELSA-2024-0151 Important: Oracle Linux 9 .NET 7.0 security update


Oracle Linux Security Advisory ELSA-2024-0151

http://linux.oracle.com/errata/ELSA-2024-0151.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
aspnetcore-runtime-7.0-7.0.15-1.0.1.el9_3.x86_64.rpm
aspnetcore-targeting-pack-7.0-7.0.15-1.0.1.el9_3.x86_64.rpm
dotnet-apphost-pack-7.0-7.0.15-1.0.1.el9_3.x86_64.rpm
dotnet-hostfxr-7.0-7.0.15-1.0.1.el9_3.x86_64.rpm
dotnet-runtime-7.0-7.0.15-1.0.1.el9_3.x86_64.rpm
dotnet-sdk-7.0-7.0.115-1.0.1.el9_3.x86_64.rpm
dotnet-targeting-pack-7.0-7.0.15-1.0.1.el9_3.x86_64.rpm
dotnet-templates-7.0-7.0.115-1.0.1.el9_3.x86_64.rpm
dotnet-sdk-7.0-source-built-artifacts-7.0.115-1.0.1.el9_3.x86_64.rpm

aarch64:
aspnetcore-runtime-7.0-7.0.15-1.0.1.el9_3.aarch64.rpm
aspnetcore-targeting-pack-7.0-7.0.15-1.0.1.el9_3.aarch64.rpm
dotnet-apphost-pack-7.0-7.0.15-1.0.1.el9_3.aarch64.rpm
dotnet-hostfxr-7.0-7.0.15-1.0.1.el9_3.aarch64.rpm
dotnet-runtime-7.0-7.0.15-1.0.1.el9_3.aarch64.rpm
dotnet-sdk-7.0-7.0.115-1.0.1.el9_3.aarch64.rpm
dotnet-targeting-pack-7.0-7.0.15-1.0.1.el9_3.aarch64.rpm
dotnet-templates-7.0-7.0.115-1.0.1.el9_3.aarch64.rpm
dotnet-sdk-7.0-source-built-artifacts-7.0.115-1.0.1.el9_3.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//dotnet7.0-7.0.115-1.0.1.el9_3.src.rpm

Related CVEs:

CVE-2024-0056
CVE-2024-0057
CVE-2024-21319

Description of changes:

[7.0.115-1.0.1]
- Update to .NET SDK 7.0.115 and Runtime 7.0.15

[7.0.114-1.0.1]
- Update to .NET SDK 7.0.114 and Runtime 7.0.14



ELSA-2024-0157 Important: Oracle Linux 8 .NET 7.0 security update


Oracle Linux Security Advisory ELSA-2024-0157

http://linux.oracle.com/errata/ELSA-2024-0157.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
aspnetcore-runtime-7.0-7.0.15-1.0.1.el8_9.x86_64.rpm
aspnetcore-targeting-pack-7.0-7.0.15-1.0.1.el8_9.x86_64.rpm
dotnet-apphost-pack-7.0-7.0.15-1.0.1.el8_9.x86_64.rpm
dotnet-7.0.115-1.0.1.el8_9.x86_64.rpm
netstandard-targeting-pack-2.1-7.0.115-1.0.1.el8_9.x86_64.rpm
dotnet-host-7.0.15-1.0.1.el8_9.x86_64.rpm
dotnet-hostfxr-7.0-7.0.15-1.0.1.el8_9.x86_64.rpm
dotnet-runtime-7.0-7.0.15-1.0.1.el8_9.x86_64.rpm
dotnet-sdk-7.0-7.0.115-1.0.1.el8_9.x86_64.rpm
dotnet-targeting-pack-7.0-7.0.15-1.0.1.el8_9.x86_64.rpm
dotnet-templates-7.0-7.0.115-1.0.1.el8_9.x86_64.rpm
dotnet-sdk-7.0-source-built-artifacts-7.0.115-1.0.1.el8_9.x86_64.rpm

aarch64:
dotnet-7.0.115-1.0.1.el8_9.aarch64.rpm
netstandard-targeting-pack-2.1-7.0.115-1.0.1.el8_9.aarch64.rpm
aspnetcore-runtime-7.0-7.0.15-1.0.1.el8_9.aarch64.rpm
aspnetcore-targeting-pack-7.0-7.0.15-1.0.1.el8_9.aarch64.rpm
dotnet-apphost-pack-7.0-7.0.15-1.0.1.el8_9.aarch64.rpm
dotnet-host-7.0.15-1.0.1.el8_9.aarch64.rpm
dotnet-hostfxr-7.0-7.0.15-1.0.1.el8_9.aarch64.rpm
dotnet-runtime-7.0-7.0.15-1.0.1.el8_9.aarch64.rpm
dotnet-sdk-7.0-7.0.115-1.0.1.el8_9.aarch64.rpm
dotnet-targeting-pack-7.0-7.0.15-1.0.1.el8_9.aarch64.rpm
dotnet-templates-7.0-7.0.115-1.0.1.el8_9.aarch64.rpm
dotnet-sdk-7.0-source-built-artifacts-7.0.115-1.0.1.el8_9.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//dotnet7.0-7.0.115-1.0.1.el8_9.src.rpm

Related CVEs:

CVE-2024-0056
CVE-2024-0057
CVE-2024-21319

Description of changes:

[7.0.115-1.0.1]
- Add support for Oracle Linux
- Update to .NET SDK 7.0.115 and Runtime 7.0.15



ELSA-2024-0223 Important: Oracle Linux 7 java-1.8.0-openjdk security and bug fix update


Oracle Linux Security Advisory ELSA-2024-0223

http://linux.oracle.com/errata/ELSA-2024-0223.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

x86_64:
java-1.8.0-openjdk-1.8.0.402.b06-1.el7_9.i686.rpm
java-1.8.0-openjdk-1.8.0.402.b06-1.el7_9.x86_64.rpm
java-1.8.0-openjdk-accessibility-1.8.0.402.b06-1.el7_9.i686.rpm
java-1.8.0-openjdk-accessibility-1.8.0.402.b06-1.el7_9.x86_64.rpm
java-1.8.0-openjdk-demo-1.8.0.402.b06-1.el7_9.i686.rpm
java-1.8.0-openjdk-demo-1.8.0.402.b06-1.el7_9.x86_64.rpm
java-1.8.0-openjdk-devel-1.8.0.402.b06-1.el7_9.i686.rpm
java-1.8.0-openjdk-devel-1.8.0.402.b06-1.el7_9.x86_64.rpm
java-1.8.0-openjdk-headless-1.8.0.402.b06-1.el7_9.i686.rpm
java-1.8.0-openjdk-headless-1.8.0.402.b06-1.el7_9.x86_64.rpm
java-1.8.0-openjdk-javadoc-1.8.0.402.b06-1.el7_9.noarch.rpm
java-1.8.0-openjdk-javadoc-zip-1.8.0.402.b06-1.el7_9.noarch.rpm
java-1.8.0-openjdk-src-1.8.0.402.b06-1.el7_9.i686.rpm
java-1.8.0-openjdk-src-1.8.0.402.b06-1.el7_9.x86_64.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//java-1.8.0-openjdk-1.8.0.402.b06-1.el7_9.src.rpm

Related CVEs:

CVE-2024-20918
CVE-2024-20919
CVE-2024-20921
CVE-2024-20926
CVE-2024-20945
CVE-2024-20952

Description of changes:

[1:1.8.0.402.b06-0.1.ea]
- Update to shenandoah-jdk8u402-b06 (GA)
- Update release notes for shenandoah-8u402-b06.
- Drop local copy of JDK-8312489 which is now included upstream
- Switch to GA mode.
- ** This tarball is embargoed until 2024-01-16 @ 1pm PT. **
- Resolves: RHEL-17914
- Resolves: RHEL-20965

[1:1.8.0.402.b01-0.1.ea]
- Update to shenandoah-jdk8u402-b01 (EA)
- Update release notes for shenandoah-8u402-b01.
- Switch to EA mode.
- Sync NEWS with vanilla branch version.
- Related: RHEL-17914

[1:1.8.0.392.b08-3]
- Restore %{epoch}:%{javaver} versioning to jre, java, jre-headless, java-headless, java-devel & java-sdk
- Resolves: RHEL-19630



ELBA-2024-12077 Oracle Linux 8 frr bug fix update


Oracle Linux Bug Fix Advisory ELBA-2024-12077

http://linux.oracle.com/errata/ELBA-2024-12077.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
frr-7.5.1-13.0.1.el8_9.3.x86_64.rpm
frr-selinux-7.5.1-13.0.1.el8_9.3.noarch.rpm

aarch64:
frr-7.5.1-13.0.1.el8_9.3.aarch64.rpm
frr-selinux-7.5.1-13.0.1.el8_9.3.noarch.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//frr-7.5.1-13.0.1.el8_9.3.src.rpm

Description of changes:

[7.5.1-13.0.1.3]
- Fix POSTIN scriptlet [Orabug: 34712485]
- Rebuild with correct gnutls package



ELSA-2024-0232 Important: Oracle Linux 7 java-11-openjdk security update


Oracle Linux Security Advisory ELSA-2024-0232

http://linux.oracle.com/errata/ELSA-2024-0232.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

x86_64:
java-11-openjdk-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-demo-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-demo-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-devel-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-devel-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-headless-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-headless-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-javadoc-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-javadoc-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-javadoc-zip-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-javadoc-zip-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-jmods-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-jmods-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-src-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-src-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm
java-11-openjdk-static-libs-11.0.22.0.7-1.0.1.el7_9.i686.rpm
java-11-openjdk-static-libs-11.0.22.0.7-1.0.1.el7_9.x86_64.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//java-11-openjdk-11.0.22.0.7-1.0.1.el7_9.src.rpm

Related CVEs:

CVE-2024-20918
CVE-2024-20919
CVE-2024-20921
CVE-2024-20926
CVE-2024-20945
CVE-2024-20952

Description of changes:

[1:11.0.22.0.7-1.0.1]
- link atomic for ix86 build

[1:11.0.22.0.7-1]
- Update to jdk-11.0.22+7 (GA)
- Update release notes to 11.0.22+7
- Switch to GA mode for release
- ** This tarball is embargoed until 2024-01-16 @ 1pm PT. **
- Resolves: RHEL-20966

[1:11.0.22.0.6-0.1.ea]
- Update to jdk-11.0.22+6 (EA)
- Update release notes to 11.0.22+6
- Switch to EA mode
- Drop local copy of JDK-8312489 which is now included upstream
- Resolves: RHEL-21031

[1:11.0.21.0.9-2]
- Restore %{epoch}:%{javaver} versioning to jre, java, jre-headless, java-headless, java-devel & java-sdk
- Resolves: RHEL-19642